echo off
cls

echo ***************************************************************************
echo * tee.CMD = Ist ein Werkzeug zum Umleiten der Text-Ausgabe eines          *
echo * Programmes zusaetzlich in eine Datei.                                   *
echo * ======================================================================= *
echo * Copyright by Hilfe & Service von EDV-Fachleuten   Web  www.HuSvEDVF.de  *
echo *              Dipl.-Phys. Harald Schaerfer         Tel. (0345) 521 13 40 *
echo *              Reilstr. 6                           Funk (0177) 521 13 40 *
echo *                                                   EM   Info@HuSvEDVF.de *
echo *              D-06114 Halle (Saale)                Fax  (0345) 521 13 41 *
echo * ----------------------------------------------------------------------- *
echo * Details, siehe Hilfe!                                                   *
echo ***************************************************************************
setLOCAL ENABLEEXTENSIONS



echo .
echo System einstellen
echo ===========================================================================
beak on
mode 80,25

set stfPfadT=%~dp0
set stfLW=%stfPfadT:~0,2%


echo .
echo Programm ausfuehren 
echo ===========================================================================
chdir /D %stfPfadT%
chdir ..\
dir /b *.*

echo .
if exist %stfPfadT%tee-B.EXE (
 echo "Beginn mit tee-B.exe"
 echo "Basis-Version" | %stfPfadT%tee-B.EXE /l:C:\Tmp\v108B.LOG /n /t
 echo "tree /a"       | %stfPfadT%tee-B.EXE /l:C:\Tmp\v108B.LOG /t
 tree /a              | %stfPfadT%tee-B.EXE /l:C:\Tmp\v108B.LOG /t
 echo "dir *.* /s"    | %stfPfadT%tee-B.EXE /l:C:\Tmp\v108B.LOG /t
 dir *.* /s           | %stfPfadT%tee-B.EXE /l:C:\Tmp\v108B.LOG /t
 start NotePad %stfPfadT%TEE.LOG
 ) else (
 echo tee Basic wurde nicht gefunden!
 dir *.*
 )


echo .
if exist %stfPfadT%tee.EXE (
 echo "Beginn mit tee.exe"
 pause
 echo "Voll-Version" | %stfPfadT%tee.EXE /l:C:\Tmp\v108.LOG /n /t
 echo "tree /a"      | %stfPfadT%tee.EXE /l:C:\Tmp\v108.LOG /t
 tree /a             | %stfPfadT%tee.EXE /l:C:\Tmp\v108.LOG /t
 echo "dir *.* /s"   | %stfPfadT%tee.EXE /l:C:\Tmp\v108.LOG /t
 dir *.EXE /s        | %stfPfadT%tee.EXE /l:C:\Tmp\v108.LOG /t
 start NotePad C:\Tmp\v108.LOG
 ) else (
 echo tee wurde nicht gefunden!
 dir *.*
 )

echo . 
echo System zurueck stellen von %0
echo ===========================================================================
set stfLW=
set stfPfadT=

endlocal
:ENDE
pause
rem ******* EOF ****************************************************************